# dmd.statement_rewrite_walker

Provides a visitor for statements that allows rewriting the currently visited node.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: statement_rewrite_walker.d

Documentation: https://dlang.org/phobos/dmd_statement_rewrite_walker.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/statement_rewrite_walker.d

- `StatementRewriteWalker`

  #### Declaration

  `class `StatementRewriteWalker`: dmd.visitor.SemanticTimePermissiveVisitor;`

  A visitor to walk entire statements and provides ability to replace any sub-statements.